# initialize actionmailer
ActionMailer::Base.raise_delivery_errors = true
ActionMailer::Base.view_paths = File.expand_path('../../jam_ruby/app/views/', __FILE__)

# Use Private API Keys to communicate with Recurly's API v2. See https://docs.recurly.com/api/basics/authentication to learn more.    
case JamRuby::Environment.mode
  when 'production'
    Recurly.api_key = "7d623daabfc2434fa2a893bb008eb3e6"
    Recurly.subdomain = 'jamkazam'
  when 'development'
    Recurly.api_key = "7d623daabfc2434fa2a893bb008eb3e6"
    Recurly.subdomain = 'jamkazam-development'
  else
    Recurly.api_key = "4631527f203b41848523125b3ae51341"
    Recurly.subdomain = 'jamkazam-test'
end

Recurly.default_currency = 'USD'
